com.ibm.openpages.api.scheduler

## Interface IScheduleJobFindOptions

- All Superinterfaces:
    IBaseFindOptions

      public interface IScheduleJobFindOptions
      extends IBaseFindOptions

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()` Get category.
    `boolean` | `getIncludeDisabledJobs()` Gets whether to return jobs that are disabled.
    `java.lang.Boolean` | `getIncludeEnabledJobs()` Get enabled.
    `java.lang.String` | `getJobClass()` Get the job class.
    `Id` | `getJobId()` Get the job id.
    `java.lang.String` | `getJobName()` Get the job name.
    `void` | `setCategory(java.lang.String category)` Set the category.
    `void` | `setIncludeDisabledJobs(boolean includeDisabledJobs)` Set whether to return jobs that are disabled.
    `void` | `setIncludeEnabledJobs(java.lang.Boolean includeEnabledJobs)` Set enabled.
    `void` | `setJobClass(java.lang.String jobClass)` Set the quick filter.
    `void` | `setJobId(Id jobId)` Set the job id.
    `void` | `setJobName(java.lang.String jobName)` Set jobName.

    - ### Methods inherited from interface com.ibm.openpages.api.rule.IBaseFindOptions

      `getAndOr, getIncludeTotalCount, getIsPagingOn, getMaxResults, getPageNum, getResultsPerPage, getReturnLastRow, getReturnOnlyCounts, getReturnStartRow, getSortDirection, getSortFieldName, setAndOr, setIncludeTotalCount, setMaxResults, setPageNum, setPagingOn, setResultsPerPage, setReturnLastRow, setReturnOnlyCounts, setReturnStartRow, setSortDirection, setSortFieldName`

- - ### Method Detail

    - #### getCategory

          java.lang.String getCategory()

      Get category.
      Returns:

    - #### setCategory

          void setCategory(java.lang.String category)

      Set the category.
      Parameters:
        `category` -

    - #### getJobClass

          java.lang.String getJobClass()

      Get the job class.
      Returns:

    - #### getJobId

          Id getJobId()

      Get the job id.
      Returns:

    - #### setJobId

          void setJobId(Id jobId)

      Set the job id.

    - #### setJobClass

          void setJobClass(java.lang.String jobClass)

      Set the quick filter.
      Parameters:
        `jobClass` -

    - #### getIncludeEnabledJobs

          java.lang.Boolean getIncludeEnabledJobs()

      Get enabled.
      Returns:

    - #### setIncludeEnabledJobs

          void setIncludeEnabledJobs(java.lang.Boolean includeEnabledJobs)

      Set enabled.
      Parameters:
        `includeEnabledJobs` -

    - #### getIncludeDisabledJobs

          boolean getIncludeDisabledJobs()

      Gets whether to return jobs that are disabled.
      Returns:

    - #### setIncludeDisabledJobs

          void setIncludeDisabledJobs(boolean includeDisabledJobs)

      Set whether to return jobs that are disabled. Default value is false.
      Parameters:
        `includeDisabledJobs` -

    - #### getJobName

          java.lang.String getJobName()

      Get the job name.
      Returns:

    - #### setJobName

          void setJobName(java.lang.String jobName)

      Set jobName.
      Parameters:
        `jobName` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.